package com.lerx.dao.iface;

import com.lerx.entities.AlbumArticleHistory;
import com.lerx.hql.entities.Rs;

public interface IAlbumArticleHistoryDao {
	
	public AlbumArticleHistory add(AlbumArticleHistory history);
	public AlbumArticleHistory findByID(long id);
	public boolean delByID(long id);
	public void delAfterID(long id);
	public Rs queryByArtID(long aid,int page,int pagesize);
	public Rs queryByAlbumID(long aid,int page,int pagesize);
	public void restoreToCurr(AlbumArticleHistory history);

}
